package com.dk.mdm.controller.mst;

import com.dk.common.model.pojo.PageList;
import com.dk.common.response.ResponseResultVO;
import com.dk.mdm.model.pojo.mst.Unit;
import com.dk.common.service.BaseService;
import com.dk.mdm.model.query.mst.UnitQuery;
import com.dk.mdm.model.response.mst.GoodsBrandResponse;
import com.dk.mdm.model.response.mst.UnitResponse;
import com.dk.mdm.model.vo.mst.UnitVO;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.*;
import org.springframework.beans.factory.annotation.Autowired;
import io.swagger.annotations.Api;
import com.dk.mdm.service.mst.UnitService;

@Api(tags = "计量单位API接口")
@RestController
@RequestMapping("/mst/unit")
public class UnitController{

    public BaseService<Unit> getService() {
        return unitService;
    }
    @Autowired
    private UnitService unitService;
    /**
     * @desc : 条件查询
     * @author : 于继渤
     * @date : 2024/2/26 10:36
     */
    @ApiOperation(value = "分页、关联、条件查询", notes = "分页、关联、条件查询")
    @PostMapping({"list_by"})
    public ResponseResultVO<PageList<UnitResponse>> selectByCond(@RequestBody UnitQuery UnitQuery) {
        return unitService.selectByCond(UnitQuery);
    }
    /**
     * @desc : 新建
     * @author : 于继渤
     * @date : 2023/1/5 9:39
     */
    @ApiOperation(value = "新建", notes = "新建")
    @PostMapping({"insert"})
    public ResponseResultVO<?> insert(@RequestBody UnitVO unitVO) {
        return unitService.insert(unitVO);
    }
    /**
     * @desc : 编辑
     * @author : 于继渤
     * @date : 2023/1/5 9:39
     */
    @ApiOperation( value = "编辑", notes = "编辑" )
    @PostMapping({"update"})
    public ResponseResultVO<?> update(@RequestBody UnitVO unitVO) {
        return unitService.update(unitVO);
    }
    /**
     * @desc : 停用
     * @author : 于继渤
     * @date :  2023/1/4 9:39
     */
    @PostMapping("disable/{id}")
    public ResponseResultVO<Boolean> disable(@PathVariable String id) {
        return this.getService().disable(id);
    }
    /**
     * @desc : 启用
     * @author : 于继渤
     * @date :  2023/1/4 9:39
     */
    @PostMapping("enable/{id}")
    public ResponseResultVO<Boolean> enable(@PathVariable String id) {
        return this.getService().enable(id);
    }
}
